Codec Engine Product Releases

Codec Engine Overview

Codec Engine is a framework that automates the invocation and instantiation of XDAIS-compliant algorithms and XDM-compliant codecs. Codec Engine can execute in ARM-only, ARM-DSP, or DSP-only environments and supports concurrent execution of multiple channels and multiple instances of algorithms/codecs. In the ARM environment, it is currently ported to the Linux and WinCE operating systems.

For more information, see the Codec Engine articles on the TI Wiki

Download Information

Click on the products in the table below to download or to view more detailed information on the available releases, including the product release notes.

Note, CE 3.x is intended for SYS/BIOS 6 users and does not yet support WinCE. WinCE and DSP/BIOS 5 users (including most DVSDK users) should continue to use CE 2.x releases!

Codec Engine 3.x Downloads
Codec Engine 3.24
  • - Added VAYU (M4) support. Removed remote support, CMEM, SysLink dependency.
Codec Engine 3.23
  • - TI811X support, rewritten examples, Android removed
Codec Engine 3.22
  • - Added TI813X support, updated dependencies
  • - Android support (TI814X), added src-only download
Codec Engine 3.21
  • - makefile to rebuild Linux libs without XDC
  • - GenCodecPkg fix, makefile to rebuild sources
  • - Adds remote support for heterogeneous multicore devices and Linux
Codec Engine 3.20
  • - GenCodecPkg enhancements, Server_getCpuLoad() support
  • - SYS/BIOS 6 support, remote algs on C6472 and C6474
Codec Engine 2.x Downloads
Codec Engine 2.26
  • - VIDANALYTICS fix, Memory/rtcfg/wizard enhancements
  • - example build fixes and minor wizard improvements
  • - rtcfg feature (XDC config now optional!), updated wizards
Codec Engine 2.25
  • - Bug fix for examples
  • - Minor enhancements and bug fixes, wizard updates (Not recommended, examples are broken)
  • - Bug fixes, wizard updates (see Release Notes)
  • - Bug fixes, wizard template updates (see Release Notes)
  • - Minor maintenance release (see Release Notes)
  • - OMAP-L138 support, EDMA3 LLD 1.11 compatibility

Older releases are available here

For additional information, contact